Name:         bicon
License:      LGPLv2+ and Python
Group:        System Environment/Libraries
Version:      0.2.0
Release:      6%{?dist}
Summary:      Bidirectional Console
Source:       http://prdownloads.sourceforge.net/arabeyes/%{name}-%{version}.tar.gz
URL:          http://www.arabeyes.org/project.php?proj=BiCon

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: fribidi-devel
BuildRequires: kbd
BuildRequires: libtool
Requires:      kbd
Requires:      xorg-x11-xkb-utils

%description
BiCon is the bidirectional console as presented by Arabeyes.

%package devel
Summary:        Development Libraries for BiCon
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
The bicon-devel package contains the libraries and header files
that are needed for writing applications with BiCon.

%package fonts
Summary:        Font Files for BiCon
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description fonts
The bicon-fonts package contains the font files for BiCon.

%package keymaps
Summary:        Keymap Files for BiCon
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description keymaps
The bicon-keymaps package contains the keymap files for BiCon.

%prep
%setup -q

%build
libtoolize
autoreconf
%configure \
  --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install

rm -f $RPM_BUILD_ROOT%{_libdir}/bicon/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/bicon/*.a

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_libdir}/bicon/*.so.*
%dir %{_datadir}/%{name}
%{_datadir}/man/man1/*.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/bicon/*.so
%{_libdir}/pkgconfig/*.pc

%files fonts
%defattr(-,root,root,-)
%{_datadir}/%{name}/font

%files keymaps
%defattr(-,root,root,-)
%{_datadir}/%{name}/keymap

%changelog
* Thu Apr 04 2013 Takao Fujiwara <tfujiwar@redhat.com> - 0.2.0-6
- Added autoreconf to use autoconf 2.69 or later. BZ#925094

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 20 2011 Takao Fujiwara <tfujiwar@redhat.com> - 0.2.0-1
- Initial release. Bug 670090.
